NSX-T Data Center REST API

List Network Spans

Read Network Spans

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/network-spans
Request Headers:
n/a
Query Parameters:
NetworkSpanListRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/network-spans

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
NetworkSpanListResult+

Example Response:

{ "results": [ { "resource_type": "NetworkSpan", "id": "span1", "display_name": "span1", "path": "/infra/network-spans/span1", "parent_path": "/infra", "relative_path": "span1", "description": "custom span", "exclusive" : false, "_create_user": "admin", "_create_time": 1516751200877, "_last_modified_user": "admin", "_last_modified_time": 1516751200877, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 0 } ], "result_count": 1, "sort_by": "display_name", "sort_ascending": true }

Required Permissions:

read

Feature:

transit_gateway_span

Additional Errors: